SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Event::MouseButtonEvent Struct Reference

Mouse buttons events parameters (MouseButtonPressed, MouseButtonReleased) More...

`#include <Event.hpp>`

## Public Attributes
Mouse::Button | button
| Code of the button that has been pressed. More...
int | x
| X position of the mouse pointer, relative to the left of the owner window. More...
int | y
| Y position of the mouse pointer, relative to the top of the owner window. More...

## Detailed Description

Mouse buttons events parameters (MouseButtonPressed, MouseButtonReleased)

Definition at line 94 of file Event.hpp.

## Member Data Documentation

Mouse::Button sf::Event::MouseButtonEvent::button

Code of the button that has been pressed.

Definition at line 96 of file Event.hpp.

int sf::Event::MouseButtonEvent::x

X position of the mouse pointer, relative to the left of the owner window.

Definition at line 97 of file Event.hpp.

int sf::Event::MouseButtonEvent::y

Y position of the mouse pointer, relative to the top of the owner window.

Definition at line 98 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp